// helpScreen.js
// on button press, send email to administrator

import { StatusBar } from 'expo-status-bar';
import React, {useCallback} from 'react';
import { StyleSheet, Text, View, ScrollView, Image, Alert, Buttons} from 'react-native';
import {colors, appLogo, fontStyles, pageTitle, page, appLogoContainer} from './styles/themes'
import { TouchableOpacity, TextInput } from 'react-native'
import qs from 'qs';
import { Linking } from 'react-native';


// export async function sendEmail(to, subject, body, options = {}) {
//     const { cc, bcc } = options;

//     let url = `mailto:${to}`;

//     // Create email link query
//     const query = qs.stringify({
//         subject: subject,
//         body: body,
//         cc: cc,
//         bcc: bcc
//     });

//     if (query.length) {
//         url += `?${query}`;
//     }

//     // check if we can use this link
//     const canOpen = await Linking.canOpenURL(url);

//     if (!canOpen) {
//         throw new Error('Provided URL can not be handled');
//     }

//     return Linking.openURL(url);
// }



export default class HelpScreen extends React.Component {
    //put all the visual elements in the return below, style everything in the StyleSheet
    
    state = {
        email: '',
        message: ''
    }

    handleEmail = (text) => {
        this.setState({email:text})
    }
    handleMessage = (text) => {
        this.setState({message:text})
    }
    login = (email, message) => {
        alert('email: ' + email + 'message: ' + message)
    }

    sendEmail = async(to, subject, body, options = {}) => {
        const { cc, bcc } = options;
    
        let url = `mailto:${to}`;
    
        // Create email link query
        const query = qs.stringify({
            subject: subject,
            body: body,
            cc: cc,
            bcc: bcc
        });
    
        if (query.length) {
            url += `?${query}`;
        }
    
        // check if we can use this link
        const canOpen = await Linking.canOpenURL(url);
    
        if (!canOpen) {
            throw new Error('Provided URL can not be handled');
        }
    
        return Linking.openURL(url);   
    }
   
    render(){
        return (
            <View style={page}>
                <View style={appLogoContainer}>
                    <Image 
                        style={appLogo}
                        source={require('./images/SensibleLogo.png')}/>
                </View>
                <StatusBar hidden />
                <View /* screen title */ > 
                    <Text style={pageTitle}>
                        Help Page
                    </Text>
                </View>
                {/* START CODING THE REST OF THE PAGE HERE */}
                <View style={styles.container}>
                    <Text style={styles.text}>
                        Feel free to leave us feedback for our team to review and get back to you. {"\n"}{"\n"}
                        Click the button below to reach the Sensible team!
                    </Text>
                    <TouchableOpacity  
                        style = {styles.submitButton}
                        onPress = {
                            //()=> this.login(this.state.email, this.state.message)
                            //I PUT EMAIL FUNCT HERE - must change email
                            () => this.sendEmail('sensibleappteam@gmail.com','Sensible App Comment')
                        }>
                        <Text style = {styles.submitButtonText}>Contact us!</Text>
                    </TouchableOpacity>
                </View>
            </View> //closes whole view in the render
        )
    };
};

const styles = StyleSheet.create({
    container: {
        marginTop: '5%'
    },
    text: {
        fontSize: fontStyles.regularText,
        marginLeft: '5%',
        marginRight: '5%',
        marginBottom: '5%',
        color: 'black'
    },
    submitButton: {
        backgroundColor: colors.blue,
        borderRadius: 10,
        justifyContent: "center",
        padding: "1%",
        marginRight: "35%",
        marginLeft: "35%"
    },
    submitButtonText: {
        color: 'white',
        alignSelf: "center",
        fontSize: fontStyles.regularText
    }
})

